@import '_variables.scss';

.Spinner {
  $spinner-size: 50px;
  $spinner-thickness: 4px;

  position: relative;
  width: $spinner-size;
  height: $spinner-size;
  text-align: center;
  border-radius: 50%;
  display: inline-block;

  &::after, &::before {
    content: '';
    width: $spinner-size;
    height: $spinner-size;
    border-radius: 50%;
    display: block;
  }

  &::before {
    background-color: #FFFFFF;
		z-index: 1;
  }

  &::after {
    position: absolute;
    top: -$spinner-thickness;
    left: -$spinner-thickness;
    border: $spinner-thickness solid transparent;
    border-top-color: $itg-blue;
    border-right-color: $itg-pink;
    border-bottom-color: $schoolmeal-color;
    border-left-color: $itg-orange;
    animation: Spinner 1s linear infinite;
    z-index: 0;
  }

  &--departure::before {
    background-image: url('../media/vasttrafik-logo.svg');
    background-repeat: no-repeat;
		background-size: 30px;
		background-position: center;
  }

  &--schoolmeal::before {
    background-image: url('../media/skolmaten-logo.png');
    background-repeat: no-repeat;
		background-size: 30px;
		background-position: center;
  }
}

@keyframes Spinner {
  0% {
    transform: rotate(0deg);
  }
  50% {
    transform: rotate(45deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
